<!-- Style "layout/panel.scss" -->

<div class="panel hide">
    <div class="panel-backdrop" (click)="hide()"></div>
    <div class="panel-top">
        <span class="panel-title ml-2">{{ panelTitle }}</span>
        <button class="btn btn-teal btn-sm" (click)="hide()">
            <i class="mdi mdi-backburger"></i>
        </button>
    </div>

    <ng-container *ngIf="items; else noData">
        <div class="row mt-2">
            <div class="col-md-12 text-center">
                <i class="mdi-48px" [ngClass]="[items.icon]"></i>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <ul class="nav">
                    <li class="nav-item" [ngClass]="[item.class]" (click)="passActiveParent($event.target, item?.path)"
                        *ngFor="let item of items.subItem">
                        <a class="nav-link" [ngClass]="[item.classChild]">
                            <i [ngClass]="[item.icon]"></i>
                            {{ item.title }}
                            <!-- <span class="badge badge-info badge-notify" [class.d-none]="item.notification <= 0"></span> -->
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </ng-container>
    <ng-template #noData>
        <div class="no-data-info mt-4">
            <i class="mdi mdi-alert info-icon"></i>
            <div class="info-body">
                <h3 class="text-danger">Error</h3>
                <h1>No Data</h1>
            </div>
            <small class="info-footer">
                Ha ocurrido algún error. Refresca la página
                o reintenta más tarde.
            </small>
        </div>
    </ng-template>
</div>

